
Redmine - Defect #8055

Links ending with curly brackets are not correctly interpreted

2011-04-04 12:22 - Kevin Palm

Status: New Start date: 2011-04-04

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:  Affected version: 1.1.2

Description

Links ending with curly brackets are not correctly interpreted:

Example:

http://www.abc.com/viewdetails.aspx?reqid={88991511-FC0F-4923-AF00-5289367A596A}

or

Link}

Notice that this problem only occurs if the link is ending with a curly bracket, not if the curly bracked is in the middle of the link:

http://www.abc.com/viewdetails.aspx?reqid={88991511-FC0F-4923-AF00-5289367A596A}&abc=1

Related issues:

Related to Redmine - Patch #12077: Links ending with non-english letters don'... Closed

Related to Redmine - Feature #6269: RedCloth 4 support New

History

#1 - 2011-04-04 14:06 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2013-04-09 17:19 - Filou Centrinov

For me it sees to be a "RedCloth issue", because it's also not working like this: Link}

Supported in RedCloth 4. More about RedCloth 4: #6269
